<?php


namespace XLite\Module\CorbyWebWorx\ImageAttachments\View;

/**
 * Image Attachments widget
 *
 * @ListChild (list="center", zone="customer")
 */
class ImageAttachments extends \XLite\View\AView
{
    /**
     * Return list of allowed targets
     *
     * @return array
     */
    public static function getAllowedTargets()
    {
        return array_merge(parent::getAllowedTargets(), array('attach_image'));
    }

   /**
     * Get a list of CSS files required to display the widget properly
     *
     * @return array
     */
    public function getCSSFiles()
    {
        $list = parent::getCSSFiles();

        $list[] = 'modules/CorbyWebWorx/ImageAttachments/attach_image/style.css';

        return $list;
    }
    /**
     * getDir
     *
     * @return string
     */
    protected function getDir()
    {
        return 'modules/CorbyWebWorx/ImageAttachments/attach_image';
    }

    /**
     * Return widget default template
     *
     * @return string
     */
    protected function getDefaultTemplate()
    {
        return $this->getDir() . '/body.tpl';
    }

}
