<?php


namespace XLite\Module\CorbyWebWorx\ImageAttachments\View\Menu\Customer;

/**
 * Main menu
 *
 */
class ImageAttachments extends \XLite\View\Menu\Customer\Top implements \XLite\Base\IDecorator
{
    /**
     * Define menu items
     *
     * @return array
     */
    protected function defineItems()
    {
        $menu = parent::defineItems();

        if (\XLite\Core\Config::getInstance()->CorbyWebWorx->ImageAttachments->enable_form) {
            $menu[] = array(
                'target' => 'attach_image',
                'url'    => $this->buildURL('attach_image'),
                'label'  => static::t('Add Image'),
            );
        }

        return $menu;
    }
}

